org.wildfly.swarm.config.elytron

## Class ServerSslContext<T extends ServerSslContext<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ServerSslContext<T>

-     public class ServerSslContext<T extends ServerSslContext<T>>
      extends Object

  An SSLContext for use on the server side of a connection.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerSslContext.ServerSslContextResources` Child mutators for ServerSslContext

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSslContext(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `activeSessionCount()` The count of current active sessions.
    `T` | `activeSessionCount(Integer value)` The count of current active sessions.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `authenticationOptional()` Rejecting of the client certificate by the security domain will not prevent the connection.
    `T` | `authenticationOptional(Boolean value)` Rejecting of the client certificate by the security domain will not prevent the connection.
    `String` | `cipherSuiteFilter()` The filter to apply to specify the enabled cipher suites.
    `T` | `cipherSuiteFilter(String value)` The filter to apply to specify the enabled cipher suites.
    `String` | `finalPrincipalTransformer()` A final principal transformer to apply for this mechanism realm.
    `T` | `finalPrincipalTransformer(String value)` A final principal transformer to apply for this mechanism realm.
    `String` | `getKey()`
    `String` | `keyManager()` Reference to the key manager to use within the SSLContext.
    `T` | `keyManager(String value)` Reference to the key manager to use within the SSLContext.
    `Integer` | `maximumSessionCacheSize()` The maximum number of SSL sessions in the cache.
    `T` | `maximumSessionCacheSize(Integer value)` The maximum number of SSL sessions in the cache.
    `Boolean` | `needClientAuth()` To require a client certificate on SSL handshake.
    `T` | `needClientAuth(Boolean value)` To require a client certificate on SSL handshake.
    `String` | `postRealmPrincipalTransformer()` A principal transformer to apply after the realm is selected.
    `T` | `postRealmPrincipalTransformer(String value)` A principal transformer to apply after the realm is selected.
    `String` | `preRealmPrincipalTransformer()` A principal transformer to apply before the realm is selected.
    `T` | `preRealmPrincipalTransformer(String value)` A principal transformer to apply before the realm is selected.
    `T` | `protocol(String value)` The enabled protocols.
    `List<String>` | `protocols()` The enabled protocols.
    `T` | `protocols(List<String> value)` The enabled protocols.
    `T` | `protocols(String... args)` The enabled protocols.
    `String` | `providerName()` The name of the provider to use.
    `T` | `providerName(String value)` The name of the provider to use.
    `String` | `providers()` The name of the providers to obtain the Provider[] to use to load the SSLContext.
    `T` | `providers(String value)` The name of the providers to obtain the Provider[] to use to load the SSLContext.
    `String` | `realmMapper()` The realm mapper to be used for SSL authentication.
    `T` | `realmMapper(String value)` The realm mapper to be used for SSL authentication.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityDomain()` The security domain to use for authentication during SSL session establishment.
    `T` | `securityDomain(String value)` The security domain to use for authentication during SSL session establishment.
    `Integer` | `sessionTimeout()` The timeout for SSL sessions, in seconds.
    `T` | `sessionTimeout(Integer value)` The timeout for SSL sessions, in seconds.
    `T` | `sslSession(SslSession value)` Add the SslSession object to the list of subresources
    `T` | `sslSession(SslSessionSupplier supplier)` Install a supplied SslSession object to the list of subresources
    `T` | `sslSession(String childKey)` Create and configure a SslSession object to the list of subresources
    `T` | `sslSession(String childKey, SslSessionConsumer consumer)` Create and configure a SslSession object to the list of subresources
    `T` | `sslSessions(List<SslSession> value)` Add all SslSession objects to this subresource
    `ServerSslContext.ServerSslContextResources` | `subresources()`
    `String` | `trustManager()` Reference to the trust manager to use within the SSLContext.
    `T` | `trustManager(String value)` Reference to the trust manager to use within the SSLContext.
    `Boolean` | `useCipherSuitesOrder()` To honor local cipher suites preference.
    `T` | `useCipherSuitesOrder(Boolean value)` To honor local cipher suites preference.
    `Boolean` | `wantClientAuth()` To request (but not to require) a client certificate on SSL handshake.
    `T` | `wantClientAuth(Boolean value)` To request (but not to require) a client certificate on SSL handshake.
    `Boolean` | `wrap()` Should the SSLEngine, SSLSocket, and SSLServerSocket instances returned be wrapped to protect against further modification.
    `T` | `wrap(Boolean value)` Should the SSLEngine, SSLSocket, and SSLServerSocket instances returned be wrapped to protect against further modification.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSslContext

          public ServerSslContext(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ServerSslContext.ServerSslContextResources subresources()

    - #### sslSessions

          public T sslSessions(List<SslSession> value)

      Add all SslSession objects to this subresource
      Parameters:
        `value` - List of SslSession objects.
      Returns:
        this

    - #### sslSession

          public T sslSession(SslSession value)

      Add the SslSession object to the list of subresources
      Parameters:
        `value` - The SslSession to add
      Returns:
        this

    - #### sslSession

          public T sslSession(String childKey,
                              SslSessionConsumer consumer)

      Create and configure a SslSession object to the list of subresources
      Parameters:
        `key` - The key for the SslSession resource
        `config` - The SslSessionConsumer to use
      Returns:
        this

    - #### sslSession

          public T sslSession(String childKey)

      Create and configure a SslSession object to the list of subresources
      Parameters:
        `key` - The key for the SslSession resource
      Returns:
        this

    - #### sslSession

          public T sslSession(SslSessionSupplier supplier)

      Install a supplied SslSession object to the list of subresources

    - #### activeSessionCount

          public Integer activeSessionCount()

      The count of current active sessions.

    - #### activeSessionCount

          public T activeSessionCount(Integer value)

      The count of current active sessions.

    - #### authenticationOptional

          public Boolean authenticationOptional()

      Rejecting of the client certificate by the security domain will not prevent the connection. Allows a fall through to use other authentication mechanisms (like form login) when the client certificate is rejected by security domain. Has an effect only when the security domain is set.

    - #### authenticationOptional

          public T authenticationOptional(Boolean value)

      Rejecting of the client certificate by the security domain will not prevent the connection. Allows a fall through to use other authentication mechanisms (like form login) when the client certificate is rejected by security domain. Has an effect only when the security domain is set.

    - #### cipherSuiteFilter

          public String cipherSuiteFilter()

      The filter to apply to specify the enabled cipher suites.

    - #### cipherSuiteFilter

          public T cipherSuiteFilter(String value)

      The filter to apply to specify the enabled cipher suites.

    - #### finalPrincipalTransformer

          public String finalPrincipalTransformer()

      A final principal transformer to apply for this mechanism realm.

    - #### finalPrincipalTransformer

          public T finalPrincipalTransformer(String value)

      A final principal transformer to apply for this mechanism realm.

    - #### keyManager

          public String keyManager()

      Reference to the key manager to use within the SSLContext.

    - #### keyManager

          public T keyManager(String value)

      Reference to the key manager to use within the SSLContext.

    - #### maximumSessionCacheSize

          public Integer maximumSessionCacheSize()

      The maximum number of SSL sessions in the cache. The default value -1 means use the JVM default value. Value zero means there is no limit.

    - #### maximumSessionCacheSize

          public T maximumSessionCacheSize(Integer value)

      The maximum number of SSL sessions in the cache. The default value -1 means use the JVM default value. Value zero means there is no limit.

    - #### needClientAuth

          public Boolean needClientAuth()

      To require a client certificate on SSL handshake. Connection without trusted client certificate (see trust-manager) will be rejected.

    - #### needClientAuth

          public T needClientAuth(Boolean value)

      To require a client certificate on SSL handshake. Connection without trusted client certificate (see trust-manager) will be rejected.

    - #### postRealmPrincipalTransformer

          public String postRealmPrincipalTransformer()

      A principal transformer to apply after the realm is selected.

    - #### postRealmPrincipalTransformer

          public T postRealmPrincipalTransformer(String value)

      A principal transformer to apply after the realm is selected.

    - #### preRealmPrincipalTransformer

          public String preRealmPrincipalTransformer()

      A principal transformer to apply before the realm is selected.

    - #### preRealmPrincipalTransformer

          public T preRealmPrincipalTransformer(String value)

      A principal transformer to apply before the realm is selected.

    - #### protocols

          public List<String> protocols()

      The enabled protocols.

    - #### protocols

          public T protocols(List<String> value)

      The enabled protocols.

    - #### protocol

          public T protocol(String value)

      The enabled protocols.

    - #### protocols

          public T protocols(String... args)

      The enabled protocols.

    - #### providerName

          public String providerName()

      The name of the provider to use. If not specified, all providers from providers will be passed to the SSLContext.

    - #### providerName

          public T providerName(String value)

      The name of the provider to use. If not specified, all providers from providers will be passed to the SSLContext.

    - #### providers

          public String providers()

      The name of the providers to obtain the Provider[] to use to load the SSLContext.

    - #### providers

          public T providers(String value)

      The name of the providers to obtain the Provider[] to use to load the SSLContext.

    - #### realmMapper

          public String realmMapper()

      The realm mapper to be used for SSL authentication.

    - #### realmMapper

          public T realmMapper(String value)

      The realm mapper to be used for SSL authentication.

    - #### securityDomain

          public String securityDomain()

      The security domain to use for authentication during SSL session establishment.

    - #### securityDomain

          public T securityDomain(String value)

      The security domain to use for authentication during SSL session establishment.

    - #### sessionTimeout

          public Integer sessionTimeout()

      The timeout for SSL sessions, in seconds. The default value -1 means use the JVM default value. Value zero means there is no limit.

    - #### sessionTimeout

          public T sessionTimeout(Integer value)

      The timeout for SSL sessions, in seconds. The default value -1 means use the JVM default value. Value zero means there is no limit.

    - #### trustManager

          public String trustManager()

      Reference to the trust manager to use within the SSLContext.

    - #### trustManager

          public T trustManager(String value)

      Reference to the trust manager to use within the SSLContext.

    - #### useCipherSuitesOrder

          public Boolean useCipherSuitesOrder()

      To honor local cipher suites preference.

    - #### useCipherSuitesOrder

          public T useCipherSuitesOrder(Boolean value)

      To honor local cipher suites preference.

    - #### wantClientAuth

          public Boolean wantClientAuth()

      To request (but not to require) a client certificate on SSL handshake. If a security domain is referenced and supports X509 evidence, this will be set to true automatically. Ignored when need-client-auth is set.

    - #### wantClientAuth

          public T wantClientAuth(Boolean value)

      To request (but not to require) a client certificate on SSL handshake. If a security domain is referenced and supports X509 evidence, this will be set to true automatically. Ignored when need-client-auth is set.

    - #### wrap

          public Boolean wrap()

      Should the SSLEngine, SSLSocket, and SSLServerSocket instances returned be wrapped to protect against further modification.

    - #### wrap

          public T wrap(Boolean value)

      Should the SSLEngine, SSLSocket, and SSLServerSocket instances returned be wrapped to protect against further modification.

Copyright © 2017 JBoss by Red Hat. All rights reserved.